Bug 27107 - Failure on kernel-headers-2.2.16-3
Summary: Failure on kernel-headers-2.2.16-3
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: up2date (Show other bugs)
(Show other bugs)
Version: 6.2
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Preston Brown
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-02-12 02:29 UTC by tengel
Modified: 2007-04-18 16:31 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-12 02:32:09 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description tengel 2001-02-12 02:29:22 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.2.18 i686)


Attempting to run up2date on a RH62 box to retrive the latest goodies
fails; on two other boxes which are more up2date than the problem box,
everything seemingly goes as planned. 

Reproducible: Always
Steps to Reproduce:
1. /usr/sbin/up2date -u -d


Actual Results:  $ /usr/sbin/up2date -u -d

Retrieving list of all available packages...

Removing installed packages from list of updates...
100.0%
Removing packages marked to skip from list...
100.0%
Getting headers for available packages...
100.0%
Removing packages with files marked to skip from list...
100.0%
Getting headers for skipped packages...
There was a fatal error communicating with the server.  The message was:
Unable to access RPM package: ['kernel-headers', '2.2.16', '3', '']


Expected Results:  $ /usr/sbin/up2date -u -d

All Done. Your system is now Script Kiddie(tm) proof.


On a working box, noticably missing is the kernel-headers-2.2.16-3 entry --
did someone break the FTP site?

Comment 1 tengel 2001-02-12 02:32:05 UTC
Oops, forgot this bit of info:

$ rpm -qa | grep ^kernel
kernel-headers-2.2.14-5.0
kernel-2.2.14-5.0
kernel-source-2.2.14-5.0
kernel-2.2.16-3
kernel-headers-2.2.16-3
kernel-source-2.2.16-3
kernel-utils-2.2.16-3


Comment 2 tengel 2001-02-13 00:40:46 UTC
Aha!  Figured it out -- somehow the RPM database had something wrong (how, I'll
never know); I ran a --rebuilddb right quick, and now the up2date agent is
working as expected.  Go figure.



Note You need to log in before you can comment on or make changes to this bug.